# Uses of Class
org.apache.sling.api.resource.observation.ResourceChange

Packages that use ResourceChange
Package
Description
org.apache.sling.api.resource.observation
org.apache.sling.spi.resource.provider

## Uses of ResourceChange in org.apache.sling.api.resource.observation

Method parameters in org.apache.sling.api.resource.observation with type arguments of type ResourceChange
Modifier and Type
Method
Description
`void`
ResourceChangeListener.`onChange(@NotNull List<ResourceChange> changes)`
Report resource changes based on the filter properties of this listener.

## Uses of ResourceChange in org.apache.sling.spi.resource.provider

Method parameters in org.apache.sling.spi.resource.provider with type arguments of type ResourceChange
Modifier and Type
Method
Description
`void`
ObservationReporter.`reportChanges(@NotNull Iterable<ResourceChange> changes, boolean distribute)`
A resource provider can inform about a list of changes.
`void`
ObservationReporter.`reportChanges(@NotNull ObserverConfiguration config, @NotNull Iterable<ResourceChange> changes, boolean distribute)`
A resource provider can inform about a list of changes.